<?php

$hoy=date("d-m-Y");


//_____________________________________________________datos______________________________


?>
<html>
<head></head>
<body> 

<?

$miarchivo=fopen($archivo.'imprime.txt','w');//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"hola". PHP_EOL );  //vacio
fwrite($miarchivo," hola2".$numero); //numero
fwrite($miarchivo," hola2".$fechahoy. PHP_EOL ); //fecha

for($a=1; $a<4;$a++ ){fwrite($miarchivo,"". PHP_EOL );} //vacio
//escribir el contenido de la boleta 

$sel_lineas=" sql del deatlle  ";
$rs_lineas=mysql_query($sel_lineas);


						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
							
						
fwrite($miarchivo," variables    ");

//fin

}  
date_default_timezone_set("America/Buenos aires" ) ; 
$hrs = date('h:i a',time() - 3600*date('I')); 
 
fwrite($miarchivo,"   ".$hrs);fwrite($miarchivo,"   VENDEDOR: ".$nombre_vendedor . PHP_EOL ); 
fwrite($miarchivo,"                                                  ".$total_fort. PHP_EOL );
fclose($miarchivo); //cerrar archivo
?>

<?php

$file = file_get_contents("imprime.txt"); //tu archivo a imprimir
$handle = printer_open("xerox");
printer_write($handle, $file);
printer_close($handle);
 
 
?>
<script>window.close();</script>
</body>
</html>
